Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class EncryptedContentInfoParser

    java.lang.Object
      org.bouncycastle.asn1.cms.EncryptedContentInfoParser

    public class EncryptedContentInfoParser

extends java.lang.Object

     EncryptedContentInfo ::= SEQUENCE {
         contentType ContentType,
         contentEncryptionAlgorithm ContentEncryptionAlgorithmIdentifier,
         encryptedContent [0] IMPLICIT EncryptedContent OPTIONAL
     }

Constructor Summary
`EncryptedContentInfoParser(ASN1SequenceParser seq)`

Method Summary
`AlgorithmIdentifier` | `getContentEncryptionAlgorithm()`
`DERObjectIdentifier` | `getContentType()`
`DEREncodable` | `getEncryptedContent(int tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedContentInfoParser

    public EncryptedContentInfoParser(ASN1SequenceParser seq)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getContentType

    public DERObjectIdentifier getContentType()

### getContentEncryptionAlgorithm

    public AlgorithmIdentifier getContentEncryptionAlgorithm()

### getEncryptedContent

    public DEREncodable getEncryptedContent(int tag)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD